View Issue Details

IDProjectCategoryView StatusLast Update
0005009Talermerchant backend API (C)public2018-04-15 20:34
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005009: tolerate unperfect URLs
DescriptionCurrently a slight error in a URL can cause the merchant to return a 404.

For example, a request to //proposal returns 404. The logic needs to tolerate
this kind of errors. There are already helper functions of this type in the
exchange, like MAH_path_to_url() or TALER_BANK_path_to_url().
TagsNo tags attached.

Activities

Christian Grothoff

2017-05-14 14:38

manager   ~0012131

Just to clarify: the merchant should tolerate such issues in its configuration, but taler-merchant-httpd should NOT tolerate //proposal as a "valid" URL, it should continue to 404 this kind of request. So this is a libtalermerchant issue, not an HTTPD-issue.

Christian Grothoff

2017-11-04 17:46

manager   ~0012553

This was fixed in commit 2563686e6645024af62706014be11879d4122599

Issue History

Date Modified Username Field Change
2017-05-11 11:06 Marcello Stanisci New Issue
2017-05-11 11:06 Marcello Stanisci Status new => assigned
2017-05-11 11:06 Marcello Stanisci Assigned To => Marcello Stanisci
2017-05-14 14:38 Christian Grothoff Note Added: 0012131
2017-05-14 14:38 Christian Grothoff Category mechant backend => merchant backend API (C)
2017-05-14 14:38 Christian Grothoff Product Version => SVN HEAD
2017-10-23 10:33 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-10-23 10:33 Christian Grothoff Target Version => 0.5
2017-10-24 15:39 Christian Grothoff Priority normal => high
2017-11-04 17:46 Christian Grothoff Status assigned => resolved
2017-11-04 17:46 Christian Grothoff Resolution open => fixed
2017-11-04 17:46 Christian Grothoff Fixed in Version => 0.5
2017-11-04 17:46 Christian Grothoff Note Added: 0012553
2018-04-15 20:34 Christian Grothoff Status resolved => closed